//			Copyright (c) 1993 by
//			Advanced Visual Systems Inc.
//			All Rights Reserved
//
//	This software comprises unpublished confidential information of
//	Advanced Visual Systems Inc. and may not be used, copied or made
//	available to anyone, except in accordance with the license
//	under which it is furnished.
//
//	This file is under Perforce control
//	$Id: //depot/express/fcs992/include/avs/ag/graphvp.hxx#1 $
//

// graphvp.hxx - Header file for AgGraphViewport class

//----------------------------------------------------------------------
#ifndef AG_GRAPHVP_HXX
#define AG_GRAPHVP_HXX

#ifndef CXXUTIL_ATTR_HXX
#include <avs/cxxutl/attr.hxx>
#endif

#ifndef AG_VIEWPORT_HXX
#include "viewport.hxx"
#endif

//----------------------------------------------------------------------
// Forward class declaration(s)
//----------------------------------------------------------------------
class AgGraphLegend;

//----------------------------------------------------------------------
class AgGraphViewport : public AgViewport 
//----------------------------------------------------------------------
{
  public:
    AgGraphViewport();
    ~AgGraphViewport() {
        if (debug()) printf("DELETING AgGraphViewport\n");
    }
    virtual void print() {printf("AgGraphViewport ");}

  protected:
    virtual void _updateThis(int first);
    
  private:
};

#endif
